List subtitles for a video
GET
/media/v1/videos/{videoId}/subtitlesReturns the subtitles associated with a video.
Path Parameters
videoId*string
Video ID
Response Body
200application/json
OK
type: unknown
{
"$ref": "#/components/schemas/videosv1.ListSubtitlesResponse",
"$ref-value": {
"properties": {
"subtitles": {
"items": {
"$ref": "#/components/schemas/videosv1.Subtitle",
"$ref-value": {
"properties": {
"format": {
"type": "string"
},
"id": {
"type": "string"
},
"label": {
"type": "string"
},
"language_code": {
"type": "string"
},
"video_id": {
"type": "string"
},
"vtt_path": {
"type": "string"
}
},
"type": "object"
}
},
"type": "array"
}
},
"type": "object"
}
}curl -X GET "https://api.rixl.com/media/v1/videos/string/subtitles"OK
application/json
{
"$ref": "#/components/schemas/videosv1.ListSubtitlesResponse",
"$ref-value": {
"properties": {
"subtitles": {
"items": {
"$ref": "#/components/schemas/videosv1.Subtitle",
"$ref-value": {
"properties": {
"format": {
"type": "string"
},
"id": {
"type": "string"
},
"label": {
"type": "string"
},
"language_code": {
"type": "string"
},
"video_id": {
"type": "string"
},
"vtt_path": {
"type": "string"
}
},
"type": "object"
}
},
"type": "array"
}
},
"type": "object"
}
}